Bug 1015571 - Unable to install scalable drupal via web console
Unable to install scalable drupal via web console
Status: CLOSED WONTFIX
Product: OpenShift Online
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
2.x
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Clayton Coleman
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-04 10:04 EDT by mzimen
Modified: 2015-05-14 22:25 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-07 07:49:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
PRD screenshot (284.24 KB, image/png)
2013-10-04 11:10 EDT, Hiro Asari
no flags Details
QE screenshot (287.30 KB, image/png)
2013-10-04 11:13 EDT, Hiro Asari
no flags Details

  None (edit)
Description mzimen 2013-10-04 10:04:40 EDT
Description of problem:

The below red message was displayed during drupal installation.

Version-Release number of selected component (if applicable):
ami-850749ec

How reproducible:


Steps to Reproduce:
1. Clicked on the drupal+scalable
2.
3.

Actual results:

The initial build for the application failed: Shell command '/sbin/runuser -s /bin/sh 221b56d62cfc11e389ef12313d14d1f1 -c "exec /usr/bin/runcon 'unconfined_u:system_r:openshift_t:s0:c0,c505' /bin/sh -c \"gear postreceive >> /tmp/initial-build.log 2>&1\""' returned an error. rc=255 .Last 10 kB of build output: Stopping PHP cartridge Syntax error on line 2 of /var/lib/openshift/221b56d62cfc11e389ef12313d14d1f1/php/configuration/etc/conf.d/openshift.conf: DocumentRoot must be a directory httpd (no pid file) not running Building PHP cartridge Checking pear: pear.drush.org/drush Attempting to discover channel "pear.drush.org"... downloading channel.xml ... Starting to download channel.xml (804 bytes) ....done: 804 bytes Auto-discovered channel "pear.drush.org", alias "drush", adding to registry downloading drush-6.1.0.0.tgz ... Starting to download drush-6.1.0.0.tgz (504,788 bytes) ...done: 504,788 bytes install ok: channel://pear.drush.org/drush-6.1.0.0 /var/lib/openshift/221b56d62cfc11e389ef12313d14d1f1/app-root/runtime/repo/.openshift/action_hooks/build: line 24: /var/lib/openshift/221b56d62cfc11e389ef12313d14d1f1//.drush/drushrc.php: No such file or directory An error occurred executing 'gear postreceive' (exit code: 1) Error message: Failed to execute action hook 'build' for 221b56d62cfc11e389ef12313d14d1f1 application drupaljenkinsscalable For more details about the problem, try running the command again with the '--trace' option.


Expected results:


Additional info:
Comment 1 Hiro Asari 2013-10-04 10:58:09 EDT
This limitation is outlined in the quickstart README: https://github.com/openshift/drupal-quickstart/blob/master/README.md

I do not think this can be handled by runtime. I'm sending this to CLI, as this caveat should be outline on the web console.
Comment 2 Hiro Asari 2013-10-04 11:10:57 EDT
Created attachment 807730 [details]
PRD screenshot

Actually, this is explicitly stated in the Drupal quickstart page on PRD.
Comment 3 Hiro Asari 2013-10-04 11:13:08 EDT
Created attachment 807732 [details]
QE screenshot

…as well as on the AMI image (ami-850749ec, a.k.a. devenv-stage_465) in question.

What else exactly can we do?
Comment 4 mzimen 2013-10-07 04:43:00 EDT
ok, if this is issue well known for scalable apps. I'm ok with that.

Note You need to log in before you can comment on or make changes to this bug.